Subject: [MIB-DOCTORS] Fw: [802.3.1_MIBS] FW: [IANA #299307] AutoReply: General Request for Assignments

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Wed, 10 Feb 2010 10:56:56 +0100

FYI

----- Original Message ----- 
From: Bert Wijnen 
To: Romascanu, Dan (Dan) ; Howard Frazier ; [email-masked] 
Sent: Wednesday, February 10, 2010 10:55 AM
Subject: Re: [802.3.1_MIBS] FW: [IANA #299307] AutoReply: General Request for Assignments

W.r.t.

> 
> Registry :
> The assignment of the IANAifMauTypeListBits and 
> IANAifMauAutoNegCapBits textual conventions as well as the 
> dot3MauType object identities is contained in the 
> IANA-MAU-MIB, which is currently published as IETF RFC 4836. 
> The IEEE 802.3 Ethernet Working Group is currently working on 
> a project, known as IEEE P802.3.1, that will update and 
> republish the IETF RFCs that are relevant to the management 
> of Ethernet interfaces, including the contents of RFC 4836.

The IANA-MAU-MIB module was made an IANA-maintained MIB module,
so that we do not need to re-issue a new RFC (or IEEE document) every
time that a new type must be defined. The IANA maintains it here:

    http://www.iana.org/assignments/ianamau-mib

And so there is also no need for IEEE 802.3 to define a new document that
adds these new values. If approved, they will be added in the current online
iana-mau-mib at the iana web site.

In fact RFC4836 states:

7.  IANA Considerations

   This document defines first version of the IANA-maintained IANA-MAU-
   MIB module.  It is intended that each new MAU type, Media Available
   state, Auto Negotiation capability, and/or Jack type defined by the
   IEEE 802.3 working group and approved for publication in a revision
   of IEEE Std 802.3 will be added to the IANA-maintaned MIB module,
   provided that it is suitable for being managed by the base objects in
   the MAU-MIB module.

   For each new MAU type added, a short description of the MAU
   technology and, wherever possible, a reference to a publicly
   available specification SHOULD be specified.  An Expert Review, as
   defined in RFC 2434 [RFC2434], is REQUIRED, for each modification.

Bert
  ----- Original Message ----- 
  From: Romascanu, Dan (Dan) 
  To: Howard Frazier ; [email-masked] 
  Cc: Bert Wijnen 
  Sent: Wednesday, February 10, 2010 10:27 AM
  Subject: RE: [802.3.1_MIBS] FW: [IANA #299307] AutoReply: General Request for Assignments

  These will probably be referred to Bert as last chair of the Ethernet
  MIB WG (now concluded) and/or to me as Area Director. 

  Dan

  > -----Original Message-----
  > From: Howard Frazier [mailto:[email-masked]] 
  > Sent: Wednesday, February 10, 2010 3:50 AM
  > To: [email-masked]
  > Subject: [802.3.1_MIBS] FW: [IANA #299307] AutoReply: General 
  > Request for Assignments
  > 
  > 
  >  
  > In accordance with the directions of the IEEE 802.3 Ethernet 
  > Working Group and the IEEE 802.3.1 MIB Task Force, I have 
  > submitted a request to IANA for additions to the 
  > IANAifMauTypeListBits textual convention, additions to the 
  > IANAifMauAutoNegCapBits textual convention, and additions to 
  > the dot3MauType object identities.
  > 
  > The contents of the request are included below, in an 
  > automated response from IANA.
  > 
  > Howard Frazier
  > Chair, IEEE 802.3.1 MIB Task Force
  > 
  > -----Original Message-----
  > From: IANA General Enquiries via RT [mailto:[email-masked]]
  > Sent: Tuesday, February 09, 2010 5:41 PM
  > To: Howard Frazier
  > Subject: [IANA #299307] AutoReply: General Request for Assignments
  > 
  > To whom it may concern:
  > 
  > This is an automatically generated message to notify you that 
  > we have received your request, and it has been recorded in 
  > our ticketing system with a reference number of 299307.
  > 
  > There is no need to reply to this message right now. IANA 
  > staff will review your message shortly.
  > 
  > If this message is in reply to a previously submitted ticket, 
  > it is possible that the previous ticket has been marked as 
  > closed. As we review this ticket, we will also review 
  > previous correspondence and take appropriate action.
  > 
  > To expedite processing, and ensure our staff can view the 
  > full history of this request, please make sure you include 
  > the follow exact text in the subject line of all future 
  > correspondence on this issue:
  > 
  >          [IANA #299307]
  > 
  > You can also simply reply to this message, as this tag is 
  > already in the subject line.
  > 
  > Thank you,
  > 
  > The Internet Assigned Numbers Authority
  > [email-masked]
  > 
  > --------------------------------------------------------------
  > -----------
  > Contact Name :
  > Howard Frazier
  > 
  > Contact Email :
  > [email-masked]
  > 
  > Type of Assignment :
  > Assignment of the following additions to the 
  > IANAifMauTypeListBits textual convention, immediately 
  > following b1000BasePX20U(53) -- 1000BASE-PX20U:
  > 
  > b10GbaseT(xx) -- 10GBASE-T
  > b10GbaseLRM(xx) -- 10GBASE-LRM
  > b1000baseKX(xx) -- 1000BASE-KX
  > b10GbaseKX4(xx) -- 10GBASE-KX4
  > b10GbaseKR(xx) -- 10GBASE-KR
  > b10G1GbasePRXD1(xx) -- 10/1GBASE-PRX-D1 
  > b10G1GbasePRXD2(xx) -- 10/1GBASE-PRX-D2
  > b10G1GbasePRXD3(xx) -- 10/1GBASE-PRX-D3
  > b10G1GbasePRXU1(xx) -- 10/1GBASE-PRX-U1
  > b10G1GbasePRXU2(xx) -- 10/1GBASE-PRX-U2
  > b10G1GbasePRXU3(xx) -- 10/1GBASE-PRX-U3
  > b10GbasePRD1(xx) -- 10GBASE-PR-D1
  > b10GbasePRD2(xx) -- 10GBASE-PR-D2
  > b10GbasePRD3(xx) -- 10GBASE-PR-D3
  > b10GbasePRU1(xx) -- 10GBASE-PR-U1
  > b10GbasePRU3(xx) -- 10GBASE-PR-U3
  > 
  > Assignment of the following additions to the 
  > IANAifMauAutoNegCapBits textual convention, immediately 
  > following b1000baseTFD(15) -- 1000BASE-T full duplex mode:
  > 
  > b10GbaseT(xx) -- 10GBASE-T
  > b1000baseKX(xx) -- 1000BASE-KX
  > b10GbaseKX4(xx) -- 10GBASE-KX4
  > b10GbaseKR(xx) -- 10GBASE-KR
  > 
  > Assignment of the following additions to the dot3MauType 
  > object identities, immediately following 
  > dot3MauType1000BasePX20U OBJECT-IDENTITY ... 
  > ::= { dot3MauType 53 }:
  > 
  >      dot3MauType10GbaseT OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "Four-pair Category 6A or better, full 
  > duplex mode only"
  >        REFERENCE   "IEEE Std 802.3, Clause 55"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10GbaseLRM OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "R multimode fiber over 1310 nm optics"
  >        REFERENCE   "IEEE Std 802.3, Clause 68"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType1000baseKX OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "X backplane, full duplex mode only"
  >        REFERENCE   "IEEE Std 802.3, Clause 70"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10GbaseKX4 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "4 lane X backplane, full duplex mode only"
  >        REFERENCE   "IEEE Std 802.3, Clause 71"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10GbaseKR OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "R backplane, full duplex mode only"
  >        REFERENCE   " IEEE Std 802.3, Clause 72"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10G1GbasePRXD1 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber asymmetric-rate 
  > EPON OLT, supporting low 
  >                       power budget (PRX10)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10G1GbasePRXD2 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber asymmetric-rate 
  > EPON OLT, supporting medium 
  >                       power budget (PRX20)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10G1GbasePRXD3 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber asymmetric-rate 
  > EPON OLT, supporting high  
  >                       power budget (PRX30)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10G1GbasePRXU1 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber asymmetric-rate 
  > EPON ONU, supporting low 
  >                       power budget (PRX10)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10G1GbasePRXU2 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber asymmetric-rate 
  > EPON ONU, supporting medium 
  >                       power budget (PRX20)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10G1GbasePRXU3 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber asymmetric-rate 
  > EPON ONU, supporting high 
  >                       power budget (PRX30)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10GbasePRD1 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber symmetric-rate EPON 
  > OLT, supporting low 
  >                       power budget (PR10)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10GbasePRD2 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber symmetric-rate EPON 
  > OLT, supporting medium 
  >                       power budget (PR20)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10GbasePRD3 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber symmetric-rate EPON 
  > OLT, supporting high 
  >                       power budget (PR30)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10GbasePRU1 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber symmetric-rate EPON 
  > ONU, supporting low and 
  >                       medium power budget (PR10 and PR20)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  >      dot3MauType10GbasePRU3 OBJECT-IDENTITY
  >        STATUS      current
  >        DESCRIPTION "One single-mode fiber symmetric-rate EPON 
  > ONU, supporting high 
  >                       power budget (PR30)"
  >        REFERENCE   " IEEE Std 802.3, Clause 75"
  >        ::= { dot3MauType xx }
  > 
  > 
  > Registry :
  > The assignment of the IANAifMauTypeListBits and 
  > IANAifMauAutoNegCapBits textual conventions as well as the 
  > dot3MauType object identities is contained in the 
  > IANA-MAU-MIB, which is currently published as IETF RFC 4836. 
  > The IEEE 802.3 Ethernet Working Group is currently working on 
  > a project, known as IEEE P802.3.1, that will update and 
  > republish the IETF RFCs that are relevant to the management 
  > of Ethernet interfaces, including the contents of RFC 4836.
  > 
  > Description :
  > The new MAU types and the associated AutoNeg capability bits 
  > listed above were specified in recently approved amendments 
  > to IEEE Std 802.3, including IEEE Std 802.3an-2006, IEEE Std 
  > 802.3aq-2007, IEEE Std 802.3ap-2007, and IEEE Std 
  > 802.3av-2009. The description of the IANAifMauTypeListBits 
  > textual convention states that "...changes in this textual 
  > convention SHALL be synchronized with relevant changes in the 
  > dot3MauType OBJECT-IDENTITIES." The assignments will be 
  > reflected in Clause 14 of IEEE P802.3.1, "IEEE Draft Standard 
  > for Management Information Base (MIB) definitions for Ethernet."
  > 
  > 
  > Additional Info :
  > IEEE Std 802.3-2008, subclauses 30.5.1.1.2 aMAUType and 
  > 30.6.1.1.5 aAutoNegLocalTechnologyAbility, as amended by IEEE 
  > Std 802.3av-2009.
  > 

------------------------------------------------------------------------------

  Geen virus gevonden in het binnenkomende-bericht.
  Gecontroleerd door AVG - www.avg.com 
  Versie: 9.0.733 / Virusdatabase: 271.1.1/2678 - datum van uitgifte: 02/09/10 20:35:00